package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 对应数据库表(live_goods):
 */
public class LiveGoods extends BaseEntity {

	@ApiModelProperty(value = "商品编号",required = false)
	private Integer id;

	@ApiModelProperty(value = "商品名称",required = true)
	@NotBlank(message = "商品名称不可为空")
	private String name;

	@ApiModelProperty(value = "展示图片的地址",required = true)
	@NotBlank(message = "图片地址不可为空")
	private String image;
	
	@ApiModelProperty(value = "库存",required = true)
	@NotNull(message = "库存不可为空")
	private Integer stockCount;

	@ApiModelProperty(value = "现价",required = true)
	@NotNull(message = "现价不可为空")
	private java.math.BigDecimal currentPrice;
	
	@ApiModelProperty(value = "原价",required = true)
	@NotNull(message = "原价不可为空")
	private java.math.BigDecimal originalPrice;
	
	@ApiModelProperty(value = "商品详情链接",required = false)
	private String goodsDetailUrl;
	
	@ApiModelProperty(value = "商品的详细描述",required = false)
	private String desc;

	@ApiModelProperty(value = "上下架状态",required = false)
	private Boolean status = false;

	@ApiModelProperty(value = "创建时间",required = false)
	private java.util.Date createTime;
	
	@ApiModelProperty(value = "修改时间",required = false)
	private java.util.Date updateTime;

	public Boolean getStatus() {
		return status;
	}

	public void setStatus(Boolean status) {
		this.status = status;
	}

	public String getGoodsDetailUrl() {
		return goodsDetailUrl;
	}

	public void setGoodsDetailUrl(String goodsDetailUrl) {
		this.goodsDetailUrl = goodsDetailUrl;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}

	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setImage(String image){
		this.image = image;
	}
	
	public String getImage(){
		return this.image;
	}
			
	public void setStockCount(Integer stockCount){
		this.stockCount = stockCount;
	}
	
	public Integer getStockCount(){
		return this.stockCount;
	}

	public void setCurrentPrice(java.math.BigDecimal currentPrice){
		this.currentPrice = currentPrice;
	}
	
	public java.math.BigDecimal getCurrentPrice(){
		return this.currentPrice;
	}
			
	public void setOriginalPrice(java.math.BigDecimal originalPrice){
		this.originalPrice = originalPrice;
	}
	
	public java.math.BigDecimal getOriginalPrice(){
		return this.originalPrice;
	}
			
	public void setDesc(String desc){
		this.desc = desc;
	}
	
	public String getDesc(){
		return this.desc;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
